Argonne National Laboratory

Experimental Physics and
Industrial Control System

2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: Re: EPICS 7.0.1-pre1 -- vxWorks 6.2
From: Dirk Zimoch <dirk.zimoch@psi.ch>
To: <core-talk@aps.anl.gov>
Date: Tue, 28 Nov 2017 16:47:16 +0100
On 24.11.2017 11:19, Dirk Zimoch wrote:
vxWorks 6.2 now fails here:

In file included from ../../src/misc/pvUnitTest.cpp:12:
../../src/misc/pv/pvUnitTest.h: In function `detail::testPassx
   testFieldEqual(const boost::shared_ptr<const
epics::pvData::PVStructure>&,
   const char*, typename PVD::value_type)':
../../src/misc/pv/pvUnitTest.h:156: error: syntax error before `>' token
../../src/misc/pv/pvUnitTest.h:158: error: syntax error before `>' token
../../src/misc/pv/pvUnitTest.h:160: error: syntax error before `>' token
../../src/misc/pv/pvUnitTest.h: In function `detail::testPassx
   testFieldEqual(const boost::shared_ptr<const
epics::pvData::PVStructure>&,
   const char*, typename PVD::const_svector)':
../../src/misc/pv/pvUnitTest.h:177: error: syntax error before `>' token
make[4]: *** [pvUnitTest.o] Error 1


The code is:
    typename PVD::const_shared_pointer fval(val->getSubField<PVD>(name));

It seems the compiler (gcc 3.3.2) does not yet know the syntax
function<typename>()

After taking pvUnitTest.cpp out it fails in PVDataCreateFactory.cpp with
the same problem.

It seems gcc 3.3.2 is too old and thus EPICS 7 cannot be used on vxWorks
6.2.

Dirk

vxWorks 6.2 definitely cannot build PVA. But it can build the modules libcom, ca and database.

So it would be nice to have an option in one of the CONFIG files to declare that a specific architecture should build EPICS 7 without PVA support.
Replies:
Re: EPICS 7.0.1-pre1 -- vxWorks 6.2 Hartman, Steven M.
References:
EPICS 7.0.1-pre1 Andrew Johnson
Re: EPICS 7.0.1-pre1 Dirk Zimoch
Re: EPICS 7.0.1-pre1 -- vxWorks 6.2 Dirk Zimoch

Navigate by Date:
Prev: Re: EPICS 7.0.1-pre1 (epicsException.h) Dirk Zimoch
Next: git question Dirk Zimoch
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: Re: EPICS 7.0.1-pre1 -- vxWorks 6.2 Dirk Zimoch
Next: Re: EPICS 7.0.1-pre1 -- vxWorks 6.2 Hartman, Steven M.
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 28 Nov 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·